#ifndef CONFIG_H
#define CONFIG_H

#define VERSIONSTRING "0.23"

#if defined(__DOS__)
#	define __MSDOG__ __DOS__
#elif defined (__MSDOS__)
#	define __MSDOG__ __MSDOS__
#endif
/*
 * CRLF: Das MausTauschformat verlangt, da \r\n als Zeilenende 
 * kommt. Je nach Betriebssystem wandelt die C-Lib \n aber in 
 * \r\n oder \n - ohne dass es eine Moeglichkeit fr das Programm
 * gibt, festzustellen, was die Lib daraus macht.
 * Unter TOS, DOS, OS2 ist CRLF auf "\r\n" zu setzen, berall sonst
 * (as far as i know) auf "\n".
 */
#if defined(__TOS__) || defined(__MSDOG__) || defined(__OS2__)
#	define CRLF "\n"
#else
#	define CRLF "\r\n"
#endif

/*
 * strcasecmp heit bei einigen Librarys stricmp 
 */
#if defined(__TOS__) || defined(__MSDOG__) || defined(__OS2__)
#  define strcasecmp stricmp
#endif

/*
 * mmap() verfuegbar? Falls ja, wird Quarkoutfile deutlich schneller.
 */
#ifdef linux
#define HAVE_MMAP
#endif

/*
 * Warnungen ueber das Mixen von char und unsigned char abstellen. 
 */
#if defined(__PUREC__)
#	pragma warn -ucp
#endif

/*
 * Das Programm ist gro genug, um das ntzlich zu machen.
 */
#undef TRUE
#define TRUE 1
#undef FALSE
#define FALSE 0
#undef BOOLEAN
#define BOOLEAN short

/* Dieses Headerfile ist haesslich - aber GNU autoconf lohnt sich fuer 
 * Quarkoutfile nicht.
 */

#endif
