Article 3588 of comp.sys.atari.st:
Path: nvpna1!prle!philmds!mcvax!seismo!mimsy!oddjob!gargoyle!ihnp4!cbosgd!cwruecmp!bammi
From: bammi@cwruecmp.UUCP (Jwahar R. Bammi)
Newsgroups: comp.sys.atari.st
Subject: ZMDM update
Message-ID: <2225@cwruecmp.UUCP>
Date: 21 Aug 87 00:31:52 GMT
Reply-To: bammi@cwruecmp.UUCP (Jwahar R. Bammi)
Distribution: world
Organization: Case Western Reserve University
Lines: 30


Thanks to ncoast!bsrjr and mist!hakanson for pointing out the
following bug that crept into ZMDM. At baud rates <= 2400 baud, when
transmitting a file using zmodem protocol, the count that is displayed
is incorrect. The files however are transferred fine, just the visual
counter on the screen shows the counts incorrectly.

To fix, patch SZ.C as follows (add lines marked with `+'):

*** osz.c	Thu Aug 20 19:14:35 1987
--- sz.c	Thu Aug 20 19:18:27 1987
***************
*** 1190,1195 ****
--- 1190,1200 ----
  			e = ZCRCG;
  		zsdata(secbuf, c, e);
  		Txpos += c;
+ 		if(e == ZCRCG)
+ 		{
+ 			tcount += c;
+ 			lreport(tcount);
+ 		}
  
  		if (e == ZCRCW)
  			goto waitack;
-- 
usenet: {decvax,cbosgd,sun}!cwruecmp!bammi	jwahar r. bammi
csnet:       bammi@cwru.edu
arpa:        bammi@cwru.edu
compuServe:  71515,155


