/*
  DU_LIB v2
  Gem Window Management & Dialog Library For Lattice C
  1994, by Craig Graham.
  
  Based on the DU_LIBv1 Library for HiSoft Basic.
*/

/*
	Mode Control Code
*/

#include "dulib.h"

/*
	Set a mode control variable.
*/
void DU_mode(ModeType mt, short m)
{
	switch (mt)
	{
		case DU_MODE_RIGHT_EQUALS_DOUBLE:
			RightClickEqualsDoubleClick=m;
			break;
		case DU_MODE_SCROLL_HIGHLIGHT_IS_INVERSE:
			ScrollSelectionIsInverse=m;
			break;
		case DU_MODE_KEYPRESS_TO_WINDOW_UNDER_MOUSE:
			KeypressToWindowUnderMouse=m;
			break;
	}
}
