/*
 * Fn_Links.c
 *
 * Fonctions lien_arbo: 
 *
 * 04.01.94: fplanque: Created
 */

/*
 * Variables:
 */
FNCTSPEC	G_fnctlink[]=
	{
		FL_SOMM,			"Sommaire",
		FL_GUIDE,		"Guide",
		FL_ANNUL,		"Annulation",
		FL_CORREC,		"Correction",
		FL_RETOUR,		"Retour",
		FL_SUITE,		"Suite",
		FL_REPET,		"Rptition",
		FL_ENVOI,		"Envoi",

		FL_NEXT,			"Page Suivante",
		FL_WATCH,		"Visu Slection",
		FL_DOWNLOAD,	"Tlch Slect.",

		FL_NOFILE,		"Pas de Fichier",
		FL_NOEXIST,		"F n'existe pas",
		
		FL_FIRST,		"1re page",
		FL_FIN,			"Connexion/Fin"
	};


/*
 * Page STANDARD:
 */
static	KEYWORD_LIST	M_stdlinks[]=
	{
		NULL,	FL_SOMM,		ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_SUITE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_RETOUR,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ENVOI,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_REPET,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_GUIDE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ANNUL,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_CORREC,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	NIL,			ACTION_NONE,	 ACTION_NONE, 0, NULL, NULL
	};			
static	KEYWORD_LIST	*M_def_arbolinks;


/*
 * Page FA_ECRI_MSG:
 */
static	KEYWORD_LIST	M_Ecri_LinkDefs[]=
	{
		NULL,	FL_SOMM,		ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_SUITE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_RETOUR,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ENVOI,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_REPET,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_GUIDE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	NIL,			ACTION_NONE,	 ACTION_NONE, 0, NULL, NULL
	};			
static	KEYWORD_LIST	*	M_Ecri_Links;



/*
 * Page LISTE:
 */
static	KEYWORD_LIST	M_List_LinkDefs[]=
	{
		NULL,	FL_WATCH,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, "LECT_MSG.ARB",
		NULL,	FL_SOMM,		ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_SUITE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_RETOUR,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ENVOI,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_REPET,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_GUIDE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ANNUL,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_CORREC,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	NIL,			ACTION_NONE,	 ACTION_NONE, 0, NULL, NULL
	};			
static	KEYWORD_LIST	*M_List_Links;



/*
 * Page FILESEL:
 */
static	KEYWORD_LIST	M_FileSel_LinkDefs[]=
	{
		NULL,	FL_DOWNLOAD,ACTION_NONE, ACTION_FULLCLS, 0, NULL, "DOWNLOAD.ARB",
		NULL,	FL_SOMM,		ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ENVOI,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_REPET,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_GUIDE,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_ANNUL,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	FL_CORREC,	ACTION_NONE, ACTION_FULLCLS, 0, NULL, NULL,
		NULL,	NIL,			ACTION_NONE,	 ACTION_NONE, 0, NULL, NULL
	};			
static	KEYWORD_LIST	*M_FileSel_Links;


/*
 * Page DOWNLOAD:
 */
static	KEYWORD_LIST	M_DownLoad_LinkDefs[]=
	{
		NULL,	FL_NEXT,		ACTION_NONE, ACTION_FULLCLS, 0, NULL, "FILESEL.ARB",
		NULL,	FL_NOFILE,	ACTION_NONE, ACTION_CLS,	  0, NULL, NULL,
		NULL,	FL_NOEXIST,	ACTION_NONE, ACTION_CLS,	  0, NULL, NULL,
		NULL,	NIL,			ACTION_NONE, ACTION_NONE,	  0, NULL, NULL
	};			
static	KEYWORD_LIST	*M_DownLoad_Links;
